Subject: Re: [RFC patch 6/9] POWERPC remove -traditional

From: Mathieu Desnoyers <[email-masked]>
Date: Wed, 23 Apr 2008 08:14:26 -0400

* Paul Mackerras ([email-masked]) wrote:
> Mathieu Desnoyers writes:
> > Subject: [RFC patch 6/9] Re: [PATCH] Stringify support commas
> >  > This is a no-no for those archs that still use -traditional.
> >  > > I dunno if this is a problem for you at the moment and the
> >  > > right fix is anyway to nuke -traditional.
> >  > > 
> >  > >     Sam
> > 
> > Signed-off-by: Mathieu Desnoyers <[email-masked]>
> > CC: Sam Ravnborg <[email-masked]>
> > CC: [email-masked]
> > CC: [email-masked]
> > ---
> >  arch/powerpc/boot/Makefile |    2 +-
> >  1 file changed, 1 insertion(+), 1 deletion(-)
> 
> Looks OK.  I'll put it in my tree.
> 
> Paul.

OK, although it won't be needed with v2 of the stringify with commas.
There seems to be some important details which differ between
-traditional and stdc gcc operation which makes it non-trivial to remove
the -traditional, at least on sparc. Maybe Kyle could tell us a bit more
about the nature of these limitations ?

I would wait a bit before merging until we at least identify what those
limitations are.

Mathieu

-- 
Mathieu Desnoyers
Computer Engineering Ph.D. Student, Ecole Polytechnique de Montreal
OpenPGP key fingerprint: 8CD5 52C3 8E3C 4140 715F  BA06 3F25 A8FE 3BAE 9A68